org.apache.hadoop.util

## Class PureJavaCrc32C

- java.lang.Object
- - org.apache.hadoop.util.PureJavaCrc32C

- All Implemented Interfaces:
    Checksum

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class PureJavaCrc32C
      extends Object
      implements Checksum

  A pure-java implementation of the CRC32 checksum that uses the CRC32-C polynomial, the same polynomial used by iSCSI and implemented on many Intel chipsets supporting SSE4.2.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureJavaCrc32C()` Create a new PureJavaCrc32 object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getValue()`
    `void` | `reset()`
    `void` | `update(byte[] b, int off, int len)`
    `void` | `update(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PureJavaCrc32C

          public PureJavaCrc32C()

      Create a new PureJavaCrc32 object.

  - ### Method Detail

    - #### getValue

          public long getValue()

      Specified by:
        `getValue` in interface `Checksum`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `Checksum`

    - #### update

          public void update(byte[] b,
                             int off,
                             int len)

      Specified by:
        `update` in interface `Checksum`

    - #### update

          public final void update(int b)

      Specified by:
        `update` in interface `Checksum`

Copyright © 2022 Apache Software Foundation. All rights reserved.